program Project1;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var ij, ii:integer;
v,l,x:longint;

begin
 assign(input,'NUTS.IN'); reset(input);
 readln(ii);
 for ij := 1 to ii do begin
read(v,l,x);
if (v*l) >= x then writeln('YES') else writeln('NO');
   end;
end.
